LotusStyleManagerInternal::CellStyleEntry Struct Reference

small struct used to defined cell style file entry More...

## Public Member Functions
| CellStyleEntry (std::shared_ptr< WPSStream > const &stream)
| constructor

## Public Attributes
std::shared_ptr< WPSStream > | m_stream
| the main strem
int | m_parentId
| the parent style id
WPSEntry | m_entry
| the zone position

## Detailed Description

small struct used to defined cell style file entry

## Constructor & Destructor Documentation

## ◆ CellStyleEntry()

LotusStyleManagerInternal::CellStyleEntry::CellStyleEntry | ( | std::shared_ptr< WPSStream > const & | stream | ) |
| inline explicit

constructor

## Member Data Documentation

## ◆ m_entry

WPSEntry LotusStyleManagerInternal::CellStyleEntry::m_entry

the zone position

Referenced by CellStyleEntry(), LotusStyleManager::readCellStyleD2(), and LotusStyleManager::readCellStyleD2Data().

## ◆ m_parentId

int LotusStyleManagerInternal::CellStyleEntry::m_parentId

the parent style id

Referenced by CellStyleEntry(), LotusStyleManager::readCellStyleD2(), and LotusStyleManager::readCellStyleD2Data().

## ◆ m_stream

std::shared_ptr<WPSStream> LotusStyleManagerInternal::CellStyleEntry::m_stream

the main strem

Referenced by CellStyleEntry(), and LotusStyleManager::readCellStyleD2Data().

The documentation for this struct was generated from the following file:

- LotusStyleManager.cpp